.DrawerLayout {
  display: flex;
  @media screen and (max-width: 839px) {
    flex-direction: column;
  }

  &__header {}

  &__btnWrapper {
    @media screen and (max-width: 839px) {
      display: none !important;
    }
  }

  &--isOpen {
    display: flex;
    justify-content: flex-end;
    transition: var(--drawer-width) 225ms cubic-bezier(0.4, 0, 0.6, 1) 0ms,margin 225ms cubic-bezier(0.4, 0, 0.6, 1) 0ms;
    width: var(--drawer-width);
    flex-shrink: 0;
    position: relative;
    @media screen and (max-width: 839px) {
      flex-grow: 1;
      width: 100%;
      margin-bottom: 32px;

      >div {
        width: 100%;
      }
    }
    .DrawerLayout__btn {
      &--burger {
        display: none;
      }

      &--arrow {
        display: flex;
      }
    }


    & + .DrawerLayout__divider {
      display: flex;
    }
  }

  &--isClosed {
    display: flex;
    justify-content: center;
    z-index: 1201;
    width: var(--drawer-min-size);
    transition: var(--drawer-width) 195ms cubic-bezier(0.4, 0, 0.6, 1) 0ms,margin 195ms cubic-bezier(0.4, 0, 0.6, 1) 0ms;

    & > * {
      opacity: 0;
    }

    .DrawerLayout__btn--burger {
      display: flex;
      opacity: 1;
    }

    .DrawerLayout__divider,
    .DrawerLayout__btn--arrow {
      display: none;
    }

    & + .DrawerLayout__divider {
      display: none;
    }
  }

  &__aside {
    width: var(--drawer-width);
  }

  &__main {
    flex-grow: 1;
  }

  &__divider {
    width: 65px;
    flex-shrink: 0;
  }

  &__container {
    z-index: 1000;

    .DrawerLayout__btn {
      z-index: 1001;
      background-color: var(--blue-bg);

      &--arrow {
        position: absolute;
        right: 24px;
        top: 10px;
      }

      &--burger {
        position: absolute;
        padding: 12px;
        z-index: 1000;
      }
    }
  }
}
